aboutsummaryrefslogtreecommitdiffstats
path: root/testing/kodi/APKBUILD
diff options
context:
space:
mode:
authorCarlo Landmeter <clandmeter@gmail.com>2015-04-15 13:40:04 +0200
committerCarlo Landmeter <clandmeter@gmail.com>2015-04-15 13:40:09 +0200
commit7cfe6d42f2b49b8f20074fc05150ac57d96f5696 (patch)
tree154e60a69408be92f784eaee20dd3da61ec6c0bd /testing/kodi/APKBUILD
parent6539f0021ef14b0d5ab38a7b19cd4fdc433a66d8 (diff)
downloadaports-7cfe6d42f2b49b8f20074fc05150ac57d96f5696.tar.gz
aports-7cfe6d42f2b49b8f20074fc05150ac57d96f5696.tar.bz2
aports-7cfe6d42f2b49b8f20074fc05150ac57d96f5696.tar.xz
testing/kodi: new aport
Diffstat (limited to 'testing/kodi/APKBUILD')
-rw-r--r--testing/kodi/APKBUILD104
1 files changed, 104 insertions, 0 deletions
diff --git a/testing/kodi/APKBUILD b/testing/kodi/APKBUILD
new file mode 100644
index 0000000000..6fe5608b98
--- /dev/null
+++ b/testing/kodi/APKBUILD
@@ -0,0 +1,104 @@
+# Contributor: Carlo Landmeter <clandmeter@gmail.com>
+# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
+pkgname=kodi
+pkgver=14.2
+_realname=Helix
+pkgrel=0
+pkgdesc="A software media player and entertainment hub for digital media"
+url="http://kodi.tv"
+arch="x86 x86_64"
+license="GPL"
+depends="python hicolor-icon-theme xdpyinfo unrar mesa-demos curl"
+depends_dev="gettext-dev boost-dev mesa-dev glew-dev glu-dev mariadb-dev
+ libass-dev libogg-dev libvorbis-dev libmodplug-dev curl-dev flac-dev
+ libgcrypt-dev bzip2-dev tiff-dev lzo-dev yajl-dev bluez-dev tinyxml-dev
+ fribidi-dev sqlite-dev libpng-dev libcdio-dev pcre-dev freetype-dev
+ taglib-dev jasper-dev alsa-lib-dev dbus-dev sdl-dev sdl_image-dev
+ lame-dev libmicrohttpd-dev libbluray-dev avahi-dev libxrandr-dev
+ libxt-dev libxmu-dev samba-dev gawk libssh-dev libva-dev libnfs-dev
+ yasm-dev libmpeg2-dev libmad-dev libsamplerate-dev rtmpdump-dev
+ libjpeg-turbo-dev udev-dev libcap-dev udisks-dev faac-dev gnutls-dev
+ libxslt-dev libplist-dev libshairport-dev ffmpeg-dev afpfs-ng-dev
+ libcec-dev x264-dev bsd-compat-headers"
+makedepends="$depends_dev automake autoconf m4 libtool swig findutils openjdk7-jre-base
+ boost-thread zip gperf cmake coreutils nasm tar pkgconfig"
+subpackages="$pkgname-dev $pkgname-doc"
+install=""
+replaces="xbmc"
+options="ldpath-recursive"
+source="https://github.com/xbmc/xbmc/archive/$pkgver-$_realname.zip
+ no-snesapu.patch
+ fix-musl.patch
+ fix-fileemu.patch
+ fix-rsxs.patch
+ fortify-source-fix.patch
+ remove-av_read_frame_flush.patch
+ remove-filewrap.patch
+ add-missing-includes.patch"
+
+_builddir="$srcdir/xbmc-$pkgver-$_realname"
+
+prepare() {
+ local i
+ cd "$_builddir"
+ for i in $source; do
+ case $i in
+ *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+ esac
+ done
+}
+
+build() {
+ cd "$_builddir"
+ export MAKEFLAGS=""
+ ./bootstrap || return 1
+ ./configure \
+ --build=$CBUILD \
+ --host=$CHOST \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --mandir=/usr/share/man \
+ --infodir=/usr/share/info \
+ --localstatedir=/var \
+ --disable-non-free \
+ --disable-debug \
+ --with-ffmpeg=shared \
+ --enable-static=no \
+ --enable-libbluray \
+ || return 1
+ make || return 1
+}
+
+package() {
+ cd "$_builddir"
+ make DESTDIR="$pkgdir" install || return 1
+ rm -f "$pkgdir"/usr/lib/*.la
+}
+
+md5sums="b926659a946368ec983cbdfcb8289b0c 14.2-Helix.zip
+5ad388f29ab8f4ca6bc9e2b73bf946ef no-snesapu.patch
+9d61cf68c8d994d11d7c4c0ab9383098 fix-musl.patch
+69049c53ffc4a403ccff3bba77e47793 fix-fileemu.patch
+1c8cc1618f29613fe3521db3e4a99db5 fix-rsxs.patch
+a769a0018f58cb4f5ea865dcabbe2bed fortify-source-fix.patch
+e87c3d8170ad5448a6cf19d1509ab415 remove-av_read_frame_flush.patch
+cb116c5b55438222db308d4b6b7bc6ff remove-filewrap.patch
+ed12b2515c259c87ea622e04df78dfe5 add-missing-includes.patch"
+sha256sums="5573938e95c6f1ff44c212e30ad912121468bd5c4cdcc4f644b5b130fb5da354 14.2-Helix.zip
+3c04c2cd6909cfb587b194e6c5a3025f1a3f03a0c5178ad70541ff7e69915935 no-snesapu.patch
+c07906ae884919cce64abae77f9facbb1aa68ba214ae7ec3195c260ae1a15c27 fix-musl.patch
+cd566ae87c0ecc3e7cbeee9d80b042ae937d4f243413293616bd31f24efffec7 fix-fileemu.patch
+e5de7cf5e781de9288f362c9d1c88d226297ba4aae3f75e5980f0a7cfc2258f0 fix-rsxs.patch
+b5b6636e77dc11bd3a78d811e60cd98b6929e018b8f32ae2ee100a00e5535bea fortify-source-fix.patch
+29f5c17585a0fc05e8e4d548c4deddefc9fc6b742d873658ce299bab9244eeed remove-av_read_frame_flush.patch
+11f537c6d5a2089053c80600b4dc1d6530faaee2141eba1a7eb0b941385ba9f1 remove-filewrap.patch
+0ea70141b3b80ac586e941c97806f819b562f1d5166d0fe045e28dff0b62d739 add-missing-includes.patch"
+sha512sums="102c079a307ecdb5e9f6f9cd23df58c8c09b786d096b9d73edfd15c74c6dbf3c61dd1f8c6192758c4f5f5024e8fadcfba49ff7c8206fe8f26e0b3612b429f4cf 14.2-Helix.zip
+8b2b3159b536719bad7c00f2eb51c4778f8e6c049cfe07e2555a530ad8587ca7b83623e1b5f40220d2e490e38442f893f87496620aa94da27d37a8bddc72f434 no-snesapu.patch
+ddcd22512656607dd077135f95c7342081fbbeb9f78f8dc7e55e4a3a98b19d7c046faebb2925443c27dbd1cd7889e054a43a36e1efdbb8df2817997876c35513 fix-musl.patch
+d2c284a7156a842e23a1089053cb28af1a825fddbeb5b5e8d4a8f2d8b37a7861a7082529e603cfe56eb2c7fd35c4ce1aa7e9f224690ab42689c9886d60dafbc7 fix-fileemu.patch
+e1ed2e2e53c20b59f2ea926e9097e99438fdaed9b9d4c0133567bd1c8dc26b003961ad045ce4aaba62e9825e1a2d9651e72bd21bdb09dcc840c8e14d9602d109 fix-rsxs.patch
+5e972e6f6ad13f5dc8ac5e9d593171988e0cc93879178aa7621af44d41b89b5b86429af4d0c2e6516b626d042f247bcf0b1f957f647138a03ce73c5c7b3311b9 fortify-source-fix.patch
+5e54cf4e77b3d12923a88c18f268b069f28cbf26069217d76ab4685e1ec67bddc1f374b60eaffa653caa8b7fd6916037f47df8547f012b46d6653c4d1debf5b4 remove-av_read_frame_flush.patch
+cdac558134441633a83a346c2d5f5d69a1dea10276d5a46d18433d5c94937528610a662749db0909685e6bf42277e1318726409b572390f3b8ebea61209ee5c9 remove-filewrap.patch
+378a0e8fd9676dd76cfb30d62085b953625dd0185e2673de2331fc7ae0802dae4f56d0b74e878e4d313942fda8831e9669bff284dbe974db5ad16fe07af884d6 add-missing-includes.patch"